Bug Hunting Session
Bug 93736 - Bottom stroke line of a rectangle is half-drawn when using OpenGL
Summary: Bottom stroke line of a rectangle is half-drawn when using OpenGL
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.0.1.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0 target:5.0.2
Keywords:
Depends on:
Blocks: VCL-OpenGL
  Show dependency treegraph
 
Reported: 2015-08-28 10:27 UTC by Tomaz Vajngerl
Modified: 2016-10-25 19:23 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomaz Vajngerl 2015-08-28 10:27:36 UTC
When OpenGL is enabled and a rectangle is shown in the document, the bottom stroke line is drawn only until half of the rectangle. Appears only when drawing hairlines - size of the line is set to 0.0
Comment 1 Tomaz Vajngerl 2015-08-28 10:40:25 UTC
Related: when drawing a circle or ellipse the stroke hairline is drawn only on four coordinates - forming a square.
Comment 2 Commit Notification 2015-08-28 11:09:45 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c9d39c37b2c186e2b9d9841b18ecc6aed4684f62

tdf#93736 need to create trapezoid from input polygon

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2015-08-28 15:12:04 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=394387490ad4f8e52deeb2f32d7f83042b3eded1&h=libreoffice-5-0

tdf#93736 need to create trapezoid from input polygon

It will be available in 5.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2015-09-01 07:12:55 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d12f8f49d02676359aba79e2d629e014d2f50860&h=libreoffice-5-0

tdf#93736 opengl: use "old" SubdivideBezier when drawing PolyLines

It will be available in 5.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.